Bug 188393 - ASSERTION FAILED: m_caches.isEmpty() || !m_pendingInitializationCallbacks.isEmpty() in WebKit::CacheStorage::Caches::clearMemoryRepresentation()
Summary: ASSERTION FAILED: m_caches.isEmpty() || !m_pendingInitializationCallbacks.isE...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-07 16:14 PDT by Ryan Haddad
Modified: 2019-02-14 14:55 PST (History)
9 users (show)

See Also:


Attachments
crash log (132.55 KB, text/plain)
2018-08-07 16:14 PDT, Ryan Haddad
no flags Details
Patch (3.38 KB, patch)
2019-02-13 18:57 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (3.78 KB, patch)
2019-02-13 20:40 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2018-08-07 16:14:39 PDT
Created attachment 346741 [details]
crash log

The following assertion failure is intermittently seen on iOS Simulator Debug WK2 with layout test imported/w3c/web-platform-tests/service-workers/service-worker/fetch-event.https.html:

ASSERTION FAILED: m_caches.isEmpty() || !m_pendingInitializationCallbacks.isEmpty()
/Volumes/Data/slave/ios-simulator-11-debug/build/Source/WebKit/NetworkProcess/cache/CacheStorageEngineCaches.cpp(551) : void WebKit::CacheStorage::Caches::clearMemoryRepresentation()
1   0x1174d44b9 WTFCrash
2   0x10ad50a8e WebKit::CacheStorage::Caches::clearMemoryRepresentation()
3   0x10ad5bf7b WebKit::CacheStorage::Caches::clear(WTF::CompletionHandler<void ()>&&)::$_6::operator()()
4   0x10ad5be79 WTF::Function<void ()>::CallableWrapper<WebKit::CacheStorage::Caches::clear(WTF::CompletionHandler<void ()>&&)::$_6>::call()
5   0x10ac96c9b WTF::Function<void ()>::operator()() const
6   0x10af2f8e0 WebKit::NetworkCache::Storage::clear(WTF::String const&, WTF::WallTime, WTF::Function<void ()>&&)::$_11::operator()()::'lambda'()::operator()() const
7   0x10af2f7f9 WTF::Function<void ()>::CallableWrapper<WebKit::NetworkCache::Storage::clear(WTF::String const&, WTF::WallTime, WTF::Function<void ()>&&)::$_11::operator()()::'lambda'()>::call()
8   0x1174f960b WTF::Function<void ()>::operator()() const
9   0x11754c603 WTF::RunLoop::performWork()
10  0x11754cf04 WTF::RunLoop::performWork(void*)
11  0x10fc4abb1 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__
12  0x10fc2f4af __CFRunLoopDoSources0
13  0x10fc2ea6f __CFRunLoopRun
14  0x10fc2e30b CFRunLoopRunSpecific
15  0x10a639b4a -[NSRunLoop(NSRunLoop) runMode:beforeDate:]
16  0x10a639a25 -[NSRunLoop(NSRunLoop) run]
17  0x1118f88c9 _xpc_objc_main
18  0x1118fad73 xpc_main
19  0x10a58ddce main
20  0x111540955 start
21  0x1

https://build.webkit.org/results/Apple%20iOS%2011%20Simulator%20Debug%20WK2%20(Tests)/r233679%20(5307)/results.html
Comment 1 Radar WebKit Bug Importer 2018-08-07 16:15:05 PDT
<rdar://problem/43025665>
Comment 2 Radar WebKit Bug Importer 2018-08-07 16:16:19 PDT
<rdar://problem/43025700>
Comment 3 Chris Dumez 2018-08-07 16:16:51 PDT
For Youenn when he comes back.
Comment 4 Ryan Haddad 2018-10-24 09:18:50 PDT
Just saw this on High Sierra Debug WK2 with imported/w3c/web-platform-tests/service-workers/service-worker/fetch-frame-resource.https.html
https://build.webkit.org/results/Apple%20High%20Sierra%20Debug%20WK2%20(Tests)/r237378%20(5244)/results.html
Comment 5 youenn fablet 2019-02-13 18:57:01 PST
Created attachment 361982 [details]
Patch
Comment 6 Build Bot 2019-02-13 18:59:48 PST
Attachment 361982 [details] did not pass style-queue:


ERROR: Source/WebKit/NetworkProcess/cache/CacheStorageEngineCaches.cpp:348:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 youenn fablet 2019-02-13 20:40:05 PST
Created attachment 361988 [details]
Patch
Comment 8 Build Bot 2019-02-13 20:42:04 PST
Attachment 361988 [details] did not pass style-queue:


ERROR: Source/WebKit/NetworkProcess/cache/CacheStorageEngineCaches.cpp:350:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 WebKit Commit Bot 2019-02-14 14:55:30 PST
Comment on attachment 361988 [details]
Patch

Clearing flags on attachment: 361988

Committed r241565: <https://trac.webkit.org/changeset/241565>
Comment 10 WebKit Commit Bot 2019-02-14 14:55:32 PST
All reviewed patches have been landed.  Closing bug.